#pragma once
#include "Preferences.h"

class CPPgCredit : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgCredit)

public:
	CPPgCredit();
	virtual ~CPPgCredit();
    // Dialog Data
	enum { IDD = IDD_PPG_CREDIT };

	void Localize(void);

protected:
	void LoadSettings(void);
 	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
    int creditsystem;
	bool antinick;
	bool antimod;
	DECLARE_MESSAGE_MAP()
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
public:
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	afx_msg void OnBnClickedAntinickthief();
	afx_msg void OnBnClickedAntimodthief();
};